Items - Get User Data Function Definition
Returns the specified UserDataFunction public definition.
This API supports long running operations (LRO).
When you get a UserDataFunction's public definition, the sensitivity label is not a part of the definition.
Permissions
The caller must have read and write permissions for the UserDataFunction.
Required Delegated Scopes
Item.ReadWrite.All
Microsoft Entra supported identities
This API supports the Microsoft identities listed in this section.
| Identity | Support |
|---|---|
| User | Yes |
| Service principal and Managed identities | No |
Interface
POST https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}/userDataFunctions/{userDataFunctionId}/getDefinition
POST https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}/userDataFunctions/{userDataFunctionId}/getDefinition?format={format}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
user
|
path | True |
string (uuid) |
The UserDataFunction ID. |
|
workspace
|
path | True |
string (uuid) |
The workspace ID. |
|
format
|
query |
string |
The format of the UserDataFunction public definition. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Request completed successfully. |
|
| 202 Accepted |
Request accepted. Retrieving the definition is in progress. Headers
|
|
| 429 Too Many Requests |
The service rate limit was exceeded. The server returns a Headers Retry-After: integer |
|
| Other Status Codes |
Common error codes:
|
Examples
Get a UserDataFunction public definition example
Sample request
POST https://api.fabric.microsoft.com/v1/workspaces/6e335e92-a2a2-4b5a-970a-bd6a89fbb765/userDataFunctions/cfafbeb1-8037-4d0c-896e-a46fb27ff229/getDefinition
Sample response
{
"definition": {
"parts": [
{
"path": "UserDataFunctionV1.json",
"payload": "ew0KICAiZXhlY3V0YW..OWRmNDhhY2ZmZTgifQ",
"payloadType": "InlineBase64"
},
{
"path": ".platform",
"payload": "ZG90UGxhdGZvcm1CYXNlNjRTdHJpbmc=",
"payloadType": "InlineBase64"
}
]
}
}
Location: https://api.fabric.microsoft.com/v1/operations/431e8d7b-4a95-4c02-8ccd-6faef5ba1bd7
x-ms-operation-id: 431e8d7b-4a95-4c02-8ccd-6faef5ba1bd7
Retry-After: 30
Definitions
| Name | Description |
|---|---|
|
Error |
The error related resource details object. |
|
Error |
The error response. |
|
Error |
The error response details. |
|
Payload |
The type of the definition part payload. Additional payload types may be added over time. |
|
User |
UserDataFunction public definition response. |
|
User |
UserDataFunction public definition object. Refer to this article for more details on the structure of the UserDataFunction definition. |
|
User |
UserDataFunction definition part object. |
ErrorRelatedResource
The error related resource details object.
| Name | Type | Description |
|---|---|---|
| resourceId |
string |
The resource ID that's involved in the error. |
| resourceType |
string |
The type of the resource that's involved in the error. |
ErrorResponse
The error response.
| Name | Type | Description |
|---|---|---|
| errorCode |
string |
A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users. |
| isRetriable |
boolean |
When true, the request can be retried. Use the |
| message |
string |
A human readable representation of the error. |
| moreDetails |
List of additional error details. |
|
| relatedResource |
The error related resource details. |
|
| requestId |
string (uuid) |
ID of the request associated with the error. |
ErrorResponseDetails
The error response details.
| Name | Type | Description |
|---|---|---|
| errorCode |
string |
A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users. |
| message |
string |
A human readable representation of the error. |
| relatedResource |
The error related resource details. |
PayloadType
The type of the definition part payload. Additional payload types may be added over time.
| Value | Description |
|---|---|
| InlineBase64 |
Inline Base 64. |
UserDataFunctionDefinitionResponse
UserDataFunction public definition response.
| Name | Type | Description |
|---|---|---|
| definition |
UserDataFunction public definition object. Refer to this article for more details on the structure of the UserDataFunction definition. |
UserDataFunctionPublicDefinition
UserDataFunction public definition object. Refer to this article for more details on the structure of the UserDataFunction definition.
| Name | Type | Description |
|---|---|---|
| format |
string |
The format of the user data function definition. |
| parts |
A list of definition parts. |
UserDataFunctionPublicDefinitionPart
UserDataFunction definition part object.
| Name | Type | Description |
|---|---|---|
| path |
string |
The UserDataFunction public definition part path. |
| payload |
string |
The UserDataFunction public definition part payload. |
| payloadType |
The payload type. |